SELinux - Bug #13041

selinux context on /var/run/rubygem-passenger/passenger.*/generation-0/request issue after log
rotation.

01/07/2016 07:37 AM - Nicolas Di Gregorio

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: General Foreman
Target version: 1.10.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-s
elinux/pull/55
Description
Hi All,

After upgrading a working well foreman 1.6 to 1.10 on a selinux enabled Red Hat 6.5 | encountered the following issue: at end of log
rotation, httpd is reload and the socket /var/run/rubygem-passenger/passenger.xxxxx/generation-0/request is reniewed and get
the wrong selinux context "var_run_t" instead of "passenger_var_run_t".

This can be spotted in the httpd error_log by the following message:

[ 2016-01-04 02:21:52.8778 42240/7fcf5067c7e0 apache2/Hooks.cpp:772 ]: Unexpected error in mod_pas
senger: Cannot connect to Unix socket '/var/run/rubygem-passenger/passenger.1.0.43973/generation-0
/request': Permission denied (errno=13)
Backtrace:
in 'Passenger::FileDescriptor Hooks::connectToHelperAgent () ' (Hooks.cpp:248)
in 'int Hooks::handleRequest (request_rec*)' (Hooks.cpp:532)

After adding a context rules, the issue is solved.

[root@xxxx ~]# semanage fcontext —-a -t passenger_var_run_t "/var/run/rubygem-passenger (.*)?"
[root@xxxx ~]# restorecon —-Rv /var/run/

restorecon reset /var/run/rubygem-passenger context system_u:object_r:var_run_t:s0->system_u:objec

t_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.1.0.5878 context system_u:object_r:var_run_t
:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.1.0.5878/generation-0 context system_u:objec

t_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/logging_admin context
system_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/admin-manipulation-pas
sword.txt context system_u:object_r:var_run_t:s0->system u:object_r:passenger_var_run_t:s0
restorecon reset /var/run/rubygem-passenger/passenger.1.0.5878/generation-0/structure_version.txt

context system_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.1.0.5878/generation-0/helper_admin context s

ystem_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/request context system

_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/buffered_uploads conte

xt system_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.1.0.5878/generation-0/passenger—-status—-passw

ord.txt context system_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/web_server.txt context
system_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/spawn-server context s

ystem_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0
restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/logging context system

_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/config_files.txt conte

xt system_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.1.0.5878/generation-0/backends context syste

m_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

restorecon reset /var/run/rubygem-passenger/passenger.l1.0.5878/generation-0/backends/ruby.9YVZAep5

G3Z0I83H168LGGcgl context system_u:object_r:var_run_t:s0->system_u:object_r:passenger_var_run_t:s0

Related issues:
Related to Packaging - Bug #8392: passenger-status broken on EL7 Closed
Associated revisions

Revision 86fa6e79 - 02/08/2016 04:01 AM - Lukas Zapletal

Fixes #13041 - passenger var context fix

History

#1 - 01/07/2016 07:41 AM - Dominic Cleal
- Related to Bug #8392: passenger-status broken on EL7 added

#2 - 01/11/2016 03:30 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman-selinux/pull/55 added

#3 - 02/08/2016 04:01 AM - Dominic Cleal
- Category set to General Foreman

- translation missing: en.field_release set to 123

#4 - 02/08/2016 05:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 86fabe79ef 1f 1 264 f.
